Bug 257720 - devel/ispc: enable Intel GPU support
Summary: devel/ispc: enable Intel GPU support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://ispc.github.io/ispc_for_gen.html
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-08-09 20:56 UTC by Jan Beich
Modified: 2021-09-09 15:53 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
v1 (apply via "git am") (5.25 KB, patch)
2021-08-09 20:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-08-09 20:56:33 UTC
Created attachment 227060 [details]
v1 (apply via "git am")

See URL for upstream documentation. I only tested build (11.4, 12.2, 13.0) but not runtime (don't use the port).

$ poudriere testport -j 122amd64 devel/ispc
[...]
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
[...]
===========================================================================
=>> Checking shared library dependencies
 0x0000000000000001 NEEDED               Shared library: [libLLVM-11.so]
 0x0000000000000001 NEEDED               Shared library: [libLLVMSPIRVLib.so.11]
 0x0000000000000001 NEEDED               Shared library: [libc++.so.1]
 0x0000000000000001 NEEDED               Shared library: [libc.so.7]
 0x0000000000000001 NEEDED               Shared library: [libcxxrt.so.1]
 0x0000000000000001 NEEDED               Shared library: [libform.so.5]
 0x0000000000000001 NEEDED               Shared library: [libgcc_s.so.1]
 0x0000000000000001 NEEDED               Shared library: [libm.so.5]
 0x0000000000000001 NEEDED               Shared library: [libncurses.so.8]
 0x0000000000000001 NEEDED               Shared library: [libomp.so]
 0x0000000000000001 NEEDED               Shared library: [libthr.so.3]
 0x0000000000000001 NEEDED               Shared library: [libz.so.6]
 0x0000000000000001 NEEDED               Shared library: [libze_loader.so.1]
Comment 1 Jan Beich freebsd_committer 2021-09-06 22:27:39 UTC
Ping. Did anyone test?
Comment 2 Yuri Victorovich freebsd_committer 2021-09-09 15:53:19 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2021-09-09 15:53:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eb3ceff682682389456e66657eabd66e01fdbca4

commit eb3ceff682682389456e66657eabd66e01fdbca4
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-08-09 20:28:28 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-09-09 15:52:04 +0000

    devel/ispc: enable Intel GPU support

    https://ispc.github.io/ispc_for_gen.html

    PR:             257720
    Tested by:      yuri (testsuite has about the same set of failures as before)
    Submitted by:   jbeich

 devel/ispc/Makefile                                | 24 +++++++++++++++++++++
 .../files/patch-cmake_GenerateBuiltins.cmake (new) | 11 ++++++++++
 devel/ispc/files/patch-src_ispc.cpp (new)          | 25 ++++++++++++++++++++++
 devel/ispc/files/patch-src_module.cpp (new)        | 20 +++++++++++++++++
 4 files changed, 80 insertions(+)